
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSSearchCriteriaAttributeEnum.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="WSSearchCriteriaAttributeEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="All"/&gt;
 *     &lt;enumeration value="Brand"/&gt;
 *     &lt;enumeration value="Model"/&gt;
 *     &lt;enumeration value="ModelGeneration"/&gt;
 *     &lt;enumeration value="ModelYear"/&gt;
 *     &lt;enumeration value="ModelCodesOM"/&gt;
 *     &lt;enumeration value="EquipmentLevel"/&gt;
 *     &lt;enumeration value="EngineCapacityCcm"/&gt;
 *     &lt;enumeration value="EngineCapacityLiters"/&gt;
 *     &lt;enumeration value="EnginePowerKW"/&gt;
 *     &lt;enumeration value="FuelType"/&gt;
 *     &lt;enumeration value="GearboxType"/&gt;
 *     &lt;enumeration value="Gears"/&gt;
 *     &lt;enumeration value="DriveType"/&gt;
 *     &lt;enumeration value="BodyWorkType"/&gt;
 *     &lt;enumeration value="Doors"/&gt;
 *     &lt;enumeration value="Seats"/&gt;
 *     &lt;enumeration value="Weight"/&gt;
 *     &lt;enumeration value="Wheelbase"/&gt;
 *     &lt;enumeration value="OverallLength"/&gt;
 *     &lt;enumeration value="OverallHeight"/&gt;
 *     &lt;enumeration value="VehicleKind"/&gt;
 *     &lt;enumeration value="OverallWidth"/&gt;
 *     &lt;enumeration value="Payload"/&gt;
 *     &lt;enumeration value="WheelbasePlus"/&gt;
 *     &lt;enumeration value="CabinType"/&gt;
 *     &lt;enumeration value="BoxType"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "WSSearchCriteriaAttributeEnum")
@XmlEnum
public enum WSSearchCriteriaAttributeEnum {

    @XmlEnumValue("All")
    ALL("All"),
    @XmlEnumValue("Brand")
    BRAND("Brand"),
    @XmlEnumValue("Model")
    MODEL("Model"),
    @XmlEnumValue("ModelGeneration")
    MODEL_GENERATION("ModelGeneration"),
    @XmlEnumValue("ModelYear")
    MODEL_YEAR("ModelYear"),
    @XmlEnumValue("ModelCodesOM")
    MODEL_CODES_OM("ModelCodesOM"),
    @XmlEnumValue("EquipmentLevel")
    EQUIPMENT_LEVEL("EquipmentLevel"),
    @XmlEnumValue("EngineCapacityCcm")
    ENGINE_CAPACITY_CCM("EngineCapacityCcm"),
    @XmlEnumValue("EngineCapacityLiters")
    ENGINE_CAPACITY_LITERS("EngineCapacityLiters"),
    @XmlEnumValue("EnginePowerKW")
    ENGINE_POWER_KW("EnginePowerKW"),
    @XmlEnumValue("FuelType")
    FUEL_TYPE("FuelType"),
    @XmlEnumValue("GearboxType")
    GEARBOX_TYPE("GearboxType"),
    @XmlEnumValue("Gears")
    GEARS("Gears"),
    @XmlEnumValue("DriveType")
    DRIVE_TYPE("DriveType"),
    @XmlEnumValue("BodyWorkType")
    BODY_WORK_TYPE("BodyWorkType"),
    @XmlEnumValue("Doors")
    DOORS("Doors"),
    @XmlEnumValue("Seats")
    SEATS("Seats"),
    @XmlEnumValue("Weight")
    WEIGHT("Weight"),
    @XmlEnumValue("Wheelbase")
    WHEELBASE("Wheelbase"),
    @XmlEnumValue("OverallLength")
    OVERALL_LENGTH("OverallLength"),
    @XmlEnumValue("OverallHeight")
    OVERALL_HEIGHT("OverallHeight"),
    @XmlEnumValue("VehicleKind")
    VEHICLE_KIND("VehicleKind"),
    @XmlEnumValue("OverallWidth")
    OVERALL_WIDTH("OverallWidth"),
    @XmlEnumValue("Payload")
    PAYLOAD("Payload"),
    @XmlEnumValue("WheelbasePlus")
    WHEELBASE_PLUS("WheelbasePlus"),
    @XmlEnumValue("CabinType")
    CABIN_TYPE("CabinType"),
    @XmlEnumValue("BoxType")
    BOX_TYPE("BoxType");
    private final String value;

    WSSearchCriteriaAttributeEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static WSSearchCriteriaAttributeEnum fromValue(String v) {
        for (WSSearchCriteriaAttributeEnum c: WSSearchCriteriaAttributeEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
